//=============================================================================
// ReplacePictureName.js
// ----------------------------------------------------------------------------
// <利用規約>
//  利用はRPGツクールMV/RPGMakerMVの正規ユーザーに限られます。
//  商用、非商用、ゲームの内容を問わず利用可能です。
//  ゲームへの利用の際、報告や出典元の記載等は必須ではありません。
//  二次配布や転載は禁止します。
//  ソースコードURL、ダウンロードURLへの直接リンクも禁止します。
//  不具合対応以外のサポートやリクエストは受け付けておりません。
//  スクリプト利用により生じたいかなる問題においても、一切責任を負いかねます。
// ----------------------------------------------------------------------------
//  Ver1.00  2016/01/24  初版
//  Ver1.01  2019/12/28  ツクールMV最新版対応
//=============================================================================

/*:
 * @plugindesc 画像、音声、動画読み込み時、指定された名前を任意の名前に置き換えて読み込むようにします。
 * @author こま
 *
 * @help 使い方については、プラグインに同梱されているドキュメントをご参照ください。
 */

(function(){
    var ReplaceNameList = {
        img:{
        },
        audio:{
        },
        movies:{
        }
    };
    
    var _Bitmap_load = Bitmap.load;
    Bitmap.load = function(url) {
        var _url = decodeURIComponent(url);
        if (ReplaceNameList.img.hasOwnProperty(_url)) {
            url = ReplaceNameList.img[_url];
        }
        return _Bitmap_load.call(this, url);
    };
    
    var _Bitmap_request = Bitmap.request;
    Bitmap.request = function(url) {
        var _url = decodeURIComponent(url);
        if (ReplaceNameList.img.hasOwnProperty(_url)) {
            url = ReplaceNameList.img[_url];
        }
        return _Bitmap_request.call(this, url);
    };
    
    var _Html5Audio_setup = Html5Audio.setup;
    Html5Audio.setup = function (url) {
        var _url = decodeURIComponent(url);
        if (ReplaceNameList.audio.hasOwnProperty(_url)) {
            url = ReplaceNameList.audio[_url];
        }
        _Html5Audio_setup.call(this, url);
    };

    var _WebAudio_initialize = WebAudio.prototype.initialize;
    WebAudio.prototype.initialize = function(url) {
        var _url = decodeURIComponent(url);
        if (ReplaceNameList.audio.hasOwnProperty(_url)) {
            url = ReplaceNameList.audio[_url];
        }
        _WebAudio_initialize.call(this, url);
    };
    
    var _Graphics_playVideo = Graphics.playVideo;
    Graphics.playVideo = function(src) {
        if (ReplaceNameList.movies.hasOwnProperty(src)) {
            src = ReplaceNameList.movies[src];
        }
        _Graphics_playVideo.call(this, src);
    };
}());
